Loading...
Searching...
No Matches
compiler.h File Reference
Base API

L4 compiler related defines. More...

`#include <l4/sys/linkage.h>`
Include dependency graph for compiler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | L4_INLINE
| L4 Inline function attribute.
#define | L4_ALWAYS_INLINE
| Always inline a function.
#define | L4_NOTHROW
| Mark a function declaration and definition as never throwing an exception.
#define | L4_BEGIN_DECLS
| Start section with C types and functions.
#define | L4_END_DECLS
| End section with C types and functions.
#define | L4_CONSTEXPR
| Constexpr function attribute.
#define | L4_NORETURN
| Noreturn function attribute.
#define | L4_NOINSTRUMENT
| No instrumentation function attribute.
#define | L4_HIDDEN
| Attribute to mark functions, variables, and data types as being explicitly hidden from users of a library.
#define | L4_EXPORT
| Attribute to mark functions, variables, and data types as being exported from a library.
#define | L4_LIKELY(x)
| Expression is likely to execute.
#define | L4_UNLIKELY(x)
| Expression is unlikely to execute.
#define | L4_STICKY(x)
| Mark symbol sticky (even not there).
#define | L4_DEPRECATED(s)
| Mark symbol deprecated.
#define | L4_stringify_helper(x)
| stringify helper.
#define | L4_stringify(x)
| stringify.

## Functions

unsigned long | l4_align_stack_for_direct_fncall (unsigned long stack)
| Specify the desired alignment of the stack pointer.
void | l4_barrier (void)
| Memory barrier.
void | l4_mb (void)
| Memory barrier.
void | l4_wmb (void)
| Write memory barrier.
L4_NORETURN void | l4_infinite_loop (void)
| Infinite loop.

## Detailed Description

L4 compiler related defines.

Definition in file compiler.h.